version: 3

includes:
  docker:
    internal: true
    taskfile: Docker.yml

tasks:
  default:
    aliases: [ composer ]
    desc: Run composer
    cmds:
      - task: docker:composer
        vars: { CLI_ARGS: "{{.CLI_ARGS}}" }

  install:
    desc: Install dependencies
    cmds:
      - task: default
        vars: { CLI_ARGS: "install" }
    sources:
      - composer.json
      - composer.lock
    generates:
      - vendor/**/*

  update:
    desc: Update dependencies
    cmds:
      - task: default
        vars: { CLI_ARGS: "update" }